Bug 27144 - kernel 2.2.17-14 causes ncr53c8xx module to cause kernel panic
kernel 2.2.17-14 causes ncr53c8xx module to cause kernel panic
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-12 09:40 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-02-12 09:40:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

I would provide a dump of this, but I can't mount any of my partitions.  

Reproducible: Always
Steps to Reproduce:
1.reboot
2.select 2.2.17-14 kernel with lilo...
3.
	

Actual Results:  ncr53c8xx (ncr53c875-0) fails, kernel can't mount root 
partition, 
kernel panic.  

Expected Results:  This is what happens with kernel 2.2.14-5.0:

VFS: Mounted root (ext2 filesystem).
ncr53c8xx: at PCI bus 0, device 8, function 0
ncr53c8xx: 53c875 detected with Symbios NVRAM
ncr53c875-0: rev=0x03, base=0xe3401000, io_port=0xe800, irq=11
ncr53c875-0: Symbios format NVRAM, ID 7, Fast-20, Parity Checking
ncr53c875-0: initial SCNTL3/DMODE/DCNTL/CTEST3/4/5 = (hex) 
05/0e/a0/01/00/24
ncr53c875-0: final   SCNTL3/DMODE/DCNTL/CTEST3/4/5 = (hex) 
05/46/a0/00/08/24
ncr53c875-0: on-chip RAM at 0xe3400000
ncr53c875-0: resetting, command processing suspended for 2 seconds
ncr53c875-0: restart (scsi reset).
ncr53c875-0: enabling clock multiplier
ncr53c875-0: Downloading SCSI SCRIPTS.
scsi0 : ncr53c8xx - version 3.2a-2
scsi : 1 host.
ncr53c875-0: command processing resumed
  Vendor: TOSHIBA   Model: CD-ROM XM-6201TA  Rev: 1037
  Type:   CD-ROM                             ANSI SCSI revision: 02
Detected scsi CD-ROM sr0 at scsi0, channel 0, id 0, lun 0
  Vendor: QUANTUM   Model: FIREBALL SE8.4S   Rev: PJ0A
  Type:   Direct-Access                      ANSI SCSI revision: 02
Detected scsi disk sda at scsi0, channel 0, id 6, lun 0
ncr53c875-0-<6,0>: tagged command queue depth set to 8
ncr53c875-0-<0,*>: FAST-10 SCSI 10.0 MB/s (100 ns, offset 16)
Uniform CDROM driver Revision: 2.56
ncr53c875-0-<6,*>: FAST-20 SCSI 20.0 MB/s (50 ns, offset 15)
SCSI device sda: hdwr sector= 512 bytes. Sectors= 16777215 [8191 MB] [8.2 
GB]
 sda: sda1 sda2 < sda5 >
autodetecting RAID arrays
autorun ...
... autorun DONE.
VFS: Mounted root (ext2 filesystem) readonly.
change_root: old root has d_count=1
Trying to unmount old root ... okay
Comment 1 Michael K. Johnson 2001-02-13 19:22:02 EST
Did you run mkinitrd?  This is most commonly caused by not running
mkinitrd followed by running lilo.
Comment 2 Need Real Name 2001-02-13 22:30:24 EST
I did for both 2.2.17-14 and 2.2.17-14BOOT, added them in /etc/lilo.conf and 
ran /sbin/lilo

it loads the ncr53c8xx module and prints three unknown variable (or something) 
error messages, fails, then VFS (directly after) can't mount the root drive and 
it causes an immediate kernel panic.  

Comment 3 Michael K. Johnson 2001-02-14 10:37:54 EST
Could you copy off the error messages ("unknown variable") for me?
Comment 4 Need Real Name 2001-02-14 19:31:35 EST
Sure thing-- Here it is:
I think it's right anyways (I had to write it down and then re-type it)

VFS: Mounted root (ext2 filesystem).
Loading ncr53c8xx module
/lib/ncr53c8xx.o: unresolved symbol scsi_register_Rb13032e6
/lib/ncr53c8xx.o: unresolved symbol scsicam_bios_param_R9a823fa6
/lib/ncr53c8xx.o: unresolved symbol scsi_unregister_R84f2a037
autodetecting RAID arrays
autorun ...
... autorun DONE.
kmod: failed to exec /sbin/modprobe -s -k block-major-8, errno = 2
VFS: Cannot open root device 08:01
Kernel panic: VFS: Unable to mount root fs on 08:01

Comment 5 Bugzilla owner 2004-09-30 11:38:55 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.